# Define arm tool chain
MACRO (USE_ARM_TOOLCHAIN)
    MESSAGE("Use arm toolchain.")
    INCLUDE(CMakeForceCompiler)

    # Will be changed later. The compiler is not always arm-linux-gcc.
    CMAKE_FORCE_C_COMPILER(arm-linux-gcc GNU)
    CMAKE_FORCE_CXX_COMPILER(arm-linux-g++ GNU)

    # Define the dependency libraries root path.
    SET(CMAKE_FIND_ROOT_PATH /opt/onyx/naboo/)
    SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)

    # For libraries and headers in the target directories
    SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
    SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)

    # Set up development build mode
    SET(CMAKE_CXX_FLAGS "-s ")
    SET(CMAKE_CXX_FLAGS_DEVEL "")
    SET(CMAKE_CXX_FLAGS_DEVEL
        "-Wall -Werror  -Wno-sign-compare  -Wno-ctor-dtor-privacy -Wno-long-long -Wno-non-virtual-dtor -s  "
        CACHE STRING
        "Flags used by the C++ compiler during developer builds."
        FORCE)
    SET(CMAKE_C_FLAGS_DEVEL "-Werror -Wall -pedantic " CACHE STRING
      "Flags used by the C compiler during developer builds."
      FORCE)
    #SET(CMAKE_EXE_LINKER_FLAGS_DEVEL
    #  "-Wl,--warn-unresolved-symbols,--warn-once" CACHE STRING
    #  "Flags used for linking binaries during developer builds."
    #  FORCE)
    #SET(CMAKE_SHARED_LINKER_FLAGS_DEVEL
    #  "-Wl,--warn-unresolved-symbols,--warn-once" CACHE STRING
    #  "Flags used by the shared libraries linker during developer builds."
    #  FORCE)
    #MARK_AS_ADVANCED(
    #  CMAKE_CXX_FLAGS_DEVEL
    #  CMAKE_C_FLAGS_DEVEL
    #  CMAKE_EXE_LINKER_FLAGS_DEVEL
    #  CMAKE_SHARED_LINKER_FLAGS_DEVEL)
    ## Update the documentation string of CMAKE_BUILD_TYPE for GUIs
    SET(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel Devel."
        FORCE)

    SET(ADD_LIB z m rt pthread dl)

    ADD_DEFINITIONS(-DBUILD_FOR_ARM)
    ADD_DEFINITIONS(-DENABLE_EINK_SCREEN)

ENDMACRO(USE_ARM_TOOLCHAIN)
