/***************************************************************************
* Copyright (C) 2009 The Terminal Prototype
* All rights reserved.
* Contact: florian (florian.rueberg@rwth-aachen.de)
*
* Terminal Prototype is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Terminal Prototype is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* GNU General Public License for more details.
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*
* You should have received a copy of the GNU General Public License
* along with Terminal Prototype.  If not, see <http://www.gnu.org/licenses/>.
******************************************************************************/

#ifndef DIALOG_H
#define DIALOG_H

#include <QtGui/QDialog>
#include <QtGui>

#include "myKeyBoard.h"
#include "screen/screen_proxy.h"
#include "ui/line_edit.h"
#include "ui/buttons.h"
#include "ui/text_browser.h"
#include "textBrowser.h"
#include "lineEdit.h"


//Qt Styles String Constants
 
#define TEXTBROWSER_STYLE "QWidget { background-color: white; font: normal 17px; border-style: solid; border-color: black; border-width: 2px; border-radius: 4px; }"

#define NORMAL_STYLE "QWidget { background-color: white; font: normal 20px; border-style: solid; border-color: black; border-width: 2px; border-radius: 4px; }"

#define THIN_STYLE "QWidget { background-color: white; font: normal 20px; border-style: solid; border-color: black; border-width: 1px; border-radius: 4px; }"

#define TAB_STYLE "QTabBar::tab { background-color: white; font: normal 18px; border-style: solid; border-color: black; border-width: 2px; border-top-right-radius: 0px; border-top-left-radius: 0px; margin-right: 5; min-width: 130px; min-height: 35px; } QTabWidget::pane { border-top: 2px solid black;  } QTabBar::tab:selected { background: lightgray; }"

class Action;

class Dialog : public QDialog
{
	Q_OBJECT
public:
	Dialog(QWidget *parent = 0);
	~Dialog();
	TextBrowser *text;
	MyKeyBoard *keyboard;
	QFrame *frame;
	LineEdit *Filename;
	Action *a1,*a2,*a4;
	ui::OnyxPushButton *sOK,*sCancel;
	bool getCanUndo();
	bool getSaveMode();

private:

	//QMenu *fileMenu;
	//QMenu *editMenu;
	//QMenu *helpMenu;
	
	//QWidget *menuBar;

	//QAction *newAct;
	bool CanUndo;
	bool SaveMode;
	QString CurrentFile;
	QString CurrentDirectory;
	QString getFileName();

public slots:
	void open();	
	void save();
	void exit();
	void newFile(){};
	void cut();
	void copy();
	void paste();
	void UndoStatus(bool res);
	void SaveOkClicked();
	void SaveCancelClicked();
	void SimpleSave();
	void SlidersMove(int value);

};

#endif // DIALOG_H
