/***************************************************************************
* Copyright (C) 2009 The Terminal Prototype
* All rights reserved.
* Contact: florian (florian.rueberg@rwth-aachen.de)
*
* Terminal Prototype is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Terminal Prototype is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Terminal Prototype.  If not, see <http://www.gnu.org/licenses/>.
******************************************************************************/

#ifndef MYKEYBOARD_H
#define MYKEYBOARD_H

#include <QtGui>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <sstream>

#include "screen/screen_proxy.h"
#include "ui/keyboard.h"
#include "ui/text_browser.h"
#include "ui/line_edit.h"
#include "sys/sys.h"
#include "textBrowser.h"
#include "lineEdit.h"
class Key;

class MyKeyBoard : public QWidget //public ui::KeyBoard
{

public:
	explicit MyKeyBoard(QWidget* parent = 0, TextBrowser *t = 0, int shift = 0, LineEdit *fn = 0);
	virtual ~MyKeyBoard();
	TextBrowser *text;
	LineEdit *filename;
	void keyPressEvent(QKeyEvent* event);
	QTextBrowser* getText(){return text;};
	void pressed(char *t);
	QWidget* parent;
	char *CAPS;
	char *SPACE;
	char *SHIFT;
	char *BACKSPACE;
	char *ENTER;
	char *COPY;
	char *PASTE;
	int key_height;
	bool cap_on;
	int shift;
};

#endif // MYKEYBOARD_H

